Forum Linux.debian/ubuntu erreur /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb

Posté par . Licence CC by-sa.
Tags : aucun
1
18
nov.
2018

Bonsoir,

Depuis un bon moment j'ai eu un petit soucis sur ubuntu. En effet, lors d'un installation d'un logiciel, j'ai fait une fausse manipulation de python, depuis lors si je veux installer un programme relatif avec python, je trouve l'erreur suivante:

le sous-processus script post-installation installé a retourné une erreur de sortie d'état 127
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

pourtant, j'ai cherché beaucoup sur le google mais je n'ai pas trouvé une solution à mon problème, c'est je suis retourné vers vous.

cordialement

  • # Erreur

    Posté par (page perso) . Évalué à 4 (+1/-0).

    Tu as quoi comme erreur si tu lance

    sudo dpkg -i /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb
    

    « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

    • [^] # Re: Erreur

      Posté par . Évalué à 2 (+1/-0).

      Bonjour,

      je trouve cette erreur

      $ sudo dpkg -i /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb
      [sudo] Mot de passe de koreimy :
      (Lecture de la base de données… 258339 fichiers et répertoires déjà installés.)
      Préparation du dépaquetage de …/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb …
      /var/lib/dpkg/info/python-cryptography.prerm: 6: /var/lib/dpkg/info/python-> > > cryptography.prerm: pyclean: not found
      dpkg : avertissement : le sous-processus ancien script pre-removal a retourné une erreur de sortie d'état 127
      dpkg: tentative d'exécution du script du nouveau paquet à la place…
      /var/lib/dpkg/tmp.ci/prerm: 6: /var/lib/dpkg/tmp.ci/prerm: pyclean: not found
      dpkg: erreur de traitement de l'archive /var/cache/apt/archives/python-> cryptography_1.2.3-1ubuntu0.2_amd64.deb (--install) :
      le sous-processus nouveau script pre-removal a retourné une erreur de sortie d'état 127
      /var/lib/dpkg/info/python-cryptography.postinst: 6: /var/lib/dpkg/info/python-> cryptography.postinst: pycompile: not found
      dpkg : erreur lors du nettoyage :
      le sous-processus script post-installation installé a retourné une erreur de sortie d'état 127
      Des erreurs ont été rencontrées pendant l'exécution :
      /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb

      • [^] # Re: Erreur

        Posté par (page perso) . Évalué à 4 (+1/-0).

        Il te dit qu'il ne trouve pas pyclean qui est dans le package python-minimal. https://packages.debian.org/stretch/amd64/python-minimal/filelist

        Essaye un

        sudo apt install --reinstal python-minimal
        

        Avant de relancer la commande dpkg.

        « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

        • [^] # Re: Erreur

          Posté par . Évalué à 2 (+1/-0).

          Bonjour,

          Merci d'avoir prendre votre temps de me répondre.

          Au fait il y a plusieurs paquets de python-minimal, lequel dois-je choisir ?

          par exemple je fais comme suit mais ça ne marche pas:

          sudo apt install /usr/bin/python2

          et m'affiche le message suivant:

          E: Le fichier donné /usr/bin/python2 n'est pas compris sur la ligne de commande

          merci
          cordialement

          • [^] # Re: Erreur

            Posté par . Évalué à 2 (+1/-0).

            si essaye avec ça :

            sudo apt install python-minimal

            j'ai reçu ça:

            sudo apt install python-minimal
            Lecture des listes de paquets… Fait
            Construction de l'arbre des dépendances

            Lecture des informations d'état… Fait
            python-minimal est déjà la version la plus récente (2.7.12-1~16.04).
            Paquets suggérés :
            python-cryptography-doc python-cryptography-vectors
            Les paquets suivants seront mis à jour :
            python-cryptography
            1 mis à jour, 0 nouvellement installés, 0 à enlever et 39 non mis à jour.
            53 partiellement installés ou enlevés.
            Il est nécessaire de prendre 0 o/283 ko dans les archives.
            Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
            (Lecture de la base de données… 258339 fichiers et répertoires déjà installés.)
            Préparation du dépaquetage de …/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb …
            /var/lib/dpkg/info/python-cryptography.prerm: 6: /var/lib/dpkg/info/python-cryptography.prerm: pyclean: not found
            dpkg : avertissement : le sous-processus ancien script pre-removal a retourné une erreur de sortie d'état 127
            dpkg: tentative d'exécution du script du nouveau paquet à la place…
            /var/lib/dpkg/tmp.ci/prerm: 6: /var/lib/dpkg/tmp.ci/prerm: pyclean: not found
            dpkg: erreur de traitement de l'archive /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb (--unpack) :
            le sous-processus nouveau script pre-removal a retourné une erreur de sortie d'état 127
            /var/lib/dpkg/info/python-cryptography.postinst: 6: /var/lib/dpkg/info/python-cryptography.postinst: pycompile: not found
            dpkg : erreur lors du nettoyage :
            le sous-processus script post-installation installé a retourné une erreur de sortie d'état 127
            Des erreurs ont été rencontrées pendant l'exécution :
            /var/cache/apt/archives/python-cryptography_1.2.3-1ubuntu0.2_amd64.deb
            E: Sub-process /usr/bin/dpkg returned an error code (1)

            • [^] # Re: Erreur

              Posté par . Évalué à 3 (+2/-0).

              Merci beaucoup, j'ai pu résolu par la commande suivante:

              sudo apt full-upgrade

              bien à vous

Envoyer un commentaire

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.